Upstream information

CVE-2020-8172 at MITRE

Description

TLS session reuse can lead to host certificate verification bypass in node version

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.4 8.1
Vector CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:N CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:N
Access Vector Network Network
Access Complexity High Low
Privileges Required None Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1172441 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Web Scripting 12
  • nodejs12 >= 12.18.0-1.14.1
  • nodejs12-devel >= 12.18.0-1.14.1
  • nodejs12-docs >= 12.18.0-1.14.1
  • npm12 >= 12.18.0-1.14.1
Patchnames:
SUSE-SLE-Module-Web-Scripting-12-2020-1606
SUSE Linux Enterprise Module for Web Scripting 15 SP2
  • nodejs12 >= 12.18.0-2.1
  • nodejs12-devel >= 12.18.0-2.1
  • nodejs12-docs >= 12.18.0-2.1
  • npm12 >= 12.18.0-2.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Enterprise Storage 4 nodejs4 Not affected
SUSE Enterprise Storage 4 nodejs6 Not affected
SUSE Linux Enterprise 12 Module for Web and Scripting nodejs10 Not affected
SUSE Linux Enterprise 12 Module for Web and Scripting nodejs12 Released
SUSE Linux Enterprise 12 Module for Web and Scripting nodejs4 Not affected
SUSE Linux Enterprise 12 Module for Web and Scripting nodejs6 Not affected
SUSE Linux Enterprise 15 Module for Web and Scripting nodejs10 Not affected
SUSE Linux Enterprise 15 Module for Web and Scripting nodejs8 Not affected
SUSE Linux Enterprise 15-SP1 Module for Web and Scripting nodejs10 Not affected
SUSE Linux Enterprise 15-SP1 Module for Web and Scripting nodejs8 Not affected
SUSE Linux Enterprise 15-SP2 Module for Web and Scripting nodejs10 Not affected
SUSE Linux Enterprise 15-SP2 Module for Web and Scripting nodejs12 Not affected
SUSE Linux Enterprise 15-SP2 Module for Web and Scripting nodejs8 Not affected
SUSE Linux Enterprise High Performance Computing 15 LTSS nodejs10 Not affected
SUSE Linux Enterprise High Performance Computing 15 LTSS nodejs8 Not affected
SUSE Linux Enterprise Server 15 LTSS nodejs10 Not affected
SUSE Linux Enterprise Server 15 LTSS nodejs8 Not affected
SUSE Linux Enterprise Server ESPOS 15 nodejs10 Not affected
SUSE Linux Enterprise Server ESPOS 15 nodejs8 Not affected
SUSE OpenStack Cloud 7 nodejs6 Not affected
SUSE OpenStack Cloud Crowbar 8 nodejs6 Not affected
SUSE OpenStack Cloud Crowbar 9 nodejs6 Not affected
SUSE Studio Onsite nodejs Not affected